/*
** TCPCompletionProc.h
**
**	TurboTCP support library
**	TCP asynchronous call completion procedure
**	68K code resource for PowerPC applications
**
**	Copyright  1993-94, FrostByte Design / Eric Scouten
**
*/

#pragma once

#include <TCPPB.h>

#if defined(powerc) || defined (__powerc)
#pragma options align=mac68k
#endif

struct x_TurboTCPQElem {
	struct QElem*			qLink;			// next item in queue
	short				qType;			// entry type  see asyncQueueType above
	void*				qSelfLink;			// link to whatever object we had
};

struct TurboTCPiopb {
	struct TCPiopb			itsParamBlock;		// the TCP parameter block
	QHdr*				itsQueue;			// the queue were in
	struct x_TurboTCPQElem	itsQElem;			// the queue entry
};

#if defined(powerc) || defined(__powerc)
#pragma options align=reset
#endif

